| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Attributes | List of all members
Ogre::Volume::IsoSurfaceMC Class Reference
Optional Components » Volume

Marching Cubes implementation like at http://local.wasp.uwa.edu.au/~pbourke/geometry/polygonise/. More...

`#include <OgreVolumeIsoSurfaceMC.h>`

Inheritance diagram for Ogre::Volume::IsoSurfaceMC:
[legend]

## Public Member Functions
| IsoSurfaceMC (const Source *src)
| Constructor. More...
virtual void | addMarchingCubesTriangles (const Vector3 *corners, const Vector4 *volumeValues, MeshBuilder *mb) const
| Overridden from IsoSurface. More...
virtual void | addMarchingSquaresTriangles (const Vector3 *corners, const Vector4 *volumeValues, const size_t *indices, const Real maxDistance, MeshBuilder *mb) const
| Overridden from IsoSurface. More...

## Static Public Attributes
static const size_t | MS_CORNERS_BACK [4]
| To call Marching Squares with a cube on its back. More...
static const size_t | MS_CORNERS_BOTTOM [4]
| To call Marching Squares with a cube on its bottom. More...
static const size_t | MS_CORNERS_FRONT [4]
| To call Marching Squares with a cube on its front. More...
static const size_t | MS_CORNERS_LEFT [4]
| To call Marching Squares with a cube on its left. More...
static const size_t | MS_CORNERS_RIGHT [4]
| To call Marching Squares with a cube on its right. More...
static const size_t | MS_CORNERS_TOP [4]
| To call Marching Squares with a cube on its top. More...

## Detailed Description

Marching Cubes implementation like at http://local.wasp.uwa.edu.au/~pbourke/geometry/polygonise/.

## Constructor & Destructor Documentation

## ◆ IsoSurfaceMC()

Ogre::Volume::IsoSurfaceMC::IsoSurfaceMC | ( | const Source * | src | ) |
| explicit

Constructor.

Parameters

  src | The source for the isovalues and normals there.

## Member Function Documentation

## ◆ addMarchingCubesTriangles()

virtual void Ogre::Volume::IsoSurfaceMC::addMarchingCubesTriangles | ( | const Vector3 * | corners,
|  | const Vector4 * | volumeValues,
|  | MeshBuilder * | mb
| ) |  | const
| virtual

Overridden from IsoSurface.

Implements Ogre::Volume::IsoSurface.

## ◆ addMarchingSquaresTriangles()

virtual void Ogre::Volume::IsoSurfaceMC::addMarchingSquaresTriangles | ( | const Vector3 * | corners,
|  | const Vector4 * | volumeValues,
|  | const size_t * | indices,
|  | const Real | maxDistance,
|  | MeshBuilder * | mb
| ) |  | const
| virtual

Overridden from IsoSurface.

Implements Ogre::Volume::IsoSurface.

## Member Data Documentation

## ◆ MS_CORNERS_FRONT

const size_t Ogre::Volume::IsoSurface::MS_CORNERS_FRONT[4]
| static inherited

To call Marching Squares with a cube on its front.

## ◆ MS_CORNERS_BACK

const size_t Ogre::Volume::IsoSurface::MS_CORNERS_BACK[4]
| static inherited

To call Marching Squares with a cube on its back.

## ◆ MS_CORNERS_LEFT

const size_t Ogre::Volume::IsoSurface::MS_CORNERS_LEFT[4]
| static inherited

To call Marching Squares with a cube on its left.

## ◆ MS_CORNERS_RIGHT

const size_t Ogre::Volume::IsoSurface::MS_CORNERS_RIGHT[4]
| static inherited

To call Marching Squares with a cube on its right.

## ◆ MS_CORNERS_TOP

const size_t Ogre::Volume::IsoSurface::MS_CORNERS_TOP[4]
| static inherited

To call Marching Squares with a cube on its top.

## ◆ MS_CORNERS_BOTTOM

const size_t Ogre::Volume::IsoSurface::MS_CORNERS_BOTTOM[4]
| static inherited

To call Marching Squares with a cube on its bottom.

The documentation for this class was generated from the following file:

- OgreVolumeIsoSurfaceMC.h